Log4j 1.2.7

## org.apache.log4j.spi
Interface LoggerFactory

public interface LoggerFactory

Implement this interface to create new instances of Logger or a sub-class of Logger.

See `examples/subclass/MyLogger.java` for an example.

Since:
  version 0.8.5
Author:
  Ceki Gülcü

Method Summary
`Logger` `makeNewLoggerInstance(String name)`

Method Detail

### makeNewLoggerInstance

    public Logger makeNewLoggerInstance(String name)

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.